## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global git_date 20230907
%global git_commit_hash 5b9e7e4c

Name:		vpnc-script
Version:	%{git_date}
Release:	%autorelease -e git%{git_commit_hash}

Summary:	Routing setup script for vpnc and openconnect
BuildArch:	noarch
Requires:	iproute
Requires:	which

# Automatically converted from old format: GPLv2+ - review is highly recommended.
License:	GPL-2.0-or-later
URL:		https://gitlab.com/openconnect/vpnc-scripts/
Source0:	vpnc-script

%description
This script sets up routing for VPN connectivity, when invoked by vpnc
or openconnect.


%prep
cp -p %SOURCE0 .

%build

%install
mkdir -p -m 755 %{buildroot}%{_sysconfdir}/vpnc
install -m 0755 vpnc-script \
    %{buildroot}%{_sysconfdir}/vpnc/vpnc-script

%files
%dir %{_sysconfdir}/vpnc
%{_sysconfdir}/vpnc/vpnc-script

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20230907-5.git5b9e7e4c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 26 2024 Miroslav Suchý <msuchy@redhat.com> - 20230907-4.git5b9e7e4c
- convert GPLv2+ license to SPDX

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230907-3.git5b9e7e4c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230907-2.git5b9e7e4c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 07 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 20230907-1.git5b9e7e4c
- Updated to latest release and use auto macros

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220509-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220509-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220509-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 06 2022 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 20220509-1
- updated to latest upstream

* Mon Apr 04 2022 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 20220404-1
- updated to latest upstream

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20201205-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20201205-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20201205-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 05 2020 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 20201205-1
- updated to latest release

* Tue Sep 29 2020 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20200918-1
- updated to latest script

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20171004-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20171004-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20171004-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20171004-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 20171004-7
- Remove obsolete Group tag

* Sat Dec 01 2018 Jim Hennessy <jphxxxx@gmail.com> - 20171004-6
- Don't use /sbin/resolvconf if it just points to resolvectl.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20171004-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> - 20171004-4
- Remove needless use of %%defattr

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20171004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Oct 05 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20171004-2
- added spec entry

* Wed Oct 04 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20171004-1
- bumped version

* Wed Oct 04 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20170821-3
- check of resolved is enabled prior to using it

* Mon Aug 21 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20170821-2
- fixed spec update message

* Mon Aug 21 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20170821-1
- updated to latest upstream and use iproute

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20140805-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20140805-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20140805-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 20140805-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 20 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20140805-3
- corrected version

* Thu Nov 20 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20140805-2
- added which and net-tools dependencies

* Fri Oct 03 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 20140805-1
- Initial import (#1148049)
## END: Generated by rpmautospec
